Summary:	ulogd - The userspace logging daemon for netfilter
Name:		ulogd
Version:	1.02
Release:	2
License:	GPL
Group:		Network
Source:		http://ftp.netfilter.org/pub/ulogd/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Vendor:		Harald Welte <laforge@gnumonks.org>
Packager:	William Stearns <wstearns@pobox.com>
BuildRequires:	mysql-devel postgresql-devel
#libpcap-devel not used on redhat
#BuildRequires:	mysql-devel

%package mysql
Summary:	MySQL output plugin for ulogd
Group:		Network

%package pgsql
Summary:	PostgreSQL output plugin for ulogd
Group:		Network

%description
ulogd is an universal logging daemon for the ULOG target of netfilter, the
Linux 2.4 firewalling subsystem. ulogd is able to log packets in variuos
formats to different targets (text files, databases, etc..). It has an
easy-to-use plugin interface to add new protocols and new output targets.

%description mysql
ulogd-mysql is a MySQL output plugin for ulogd. It enables logging of
firewall information into a MySQL database.

%description pgsql
ulogd-mysql is a PostgreSQL output plugin for ulogd. It enables logging of
firewall information into a PostgreSQL database.

%prep
%setup

%build
%configure --with-mysql=/usr/lib/mysql --with-pgsql=/usr/lib/postgresql
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}
mkdir -p %{buildroot}/%{_libdir}/ulogd
mkdir -p %{buildroot}/%{_sbindir}/sbin
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}/%{_sysconfdir}/rc.d/init.d
install ulogd.init %{buildroot}/%{_sysconfdir}/rc.d/init.d/ulogd
		
%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root)			%{_sbindir}/ulogd
				%config	%{_sysconfdir}/ulogd.conf
%attr(0755,root,root)			%{_sysconfdir}/rc.d/init.d/ulogd
				%dir	%{_libdir}/ulogd
					%{_libdir}/ulogd/ulogd_BASE.so
					%{_libdir}/ulogd/ulogd_LOCAL.so
					%{_libdir}/ulogd/ulogd_LOGEMU.so
					%{_libdir}/ulogd/ulogd_OPRINT.so
					%{_libdir}/ulogd/ulogd_PWSNIFF.so
					%{_libdir}/ulogd/ulogd_PCAP.so
				%doc	COPYING AUTHORS README
				%doc	doc/ulogd.txt doc/ulogd.a4.ps doc/ulogd.html

%files mysql
%defattr(0644,root,root,0755)
%{_libdir}/ulogd/ulogd_MYSQL.so

%files pgsql
%defattr(0644,root,root,0755)
%{_libdir}/ulogd/ulogd_PGSQL.so

%changelog
* Tue Jan 06 2004 William Stearns <wstearns@pobox.com>
- Fixed file mode on init script, misc cleanups on file listing.

* Thu Dec 04 2003 William Stearns <wstearns@pobox.com>
- Updated to 1.02 sources
- mysql-devel lowercased for redhat naming, libpcap-devel removed from
  requirements

* Wed Mar 05 2003 Harald Welte <laforge@gnumonks.org>
+ ulogd-1.00-1gm
- updated to 1.00 release

* Mon Sep 24 2001 Harald Welte <laforge@conectiva.com>
+ ulogd-0.97-1cl
- updatd to 0.97 release (to fix endless-one-packet-loop bug)

* Sun Jun 17 2001 Harald Welte <laforge@conectiva.com>
+ ulogd-0.96-2cl
- updated to 0.96 final release
- use ulogd.init from within source tgz

* Sun May 20 2001 Harald Welte <laforge@conectiva.com>
+ ulogd-0.96-1cl
- Initial conectiva package
- cleaned up SPEC file
- created mysql subpackage

* Sun Nov 19 2000 Harald Welte <laforge@gnumonks.org>
- Initial RPM package for ulogd-0.9.
